Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Class Image

- Defined in: Image.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Image(data)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| contentLength
| contentType
| created
| creator
| description
| fileName
| height
<static> <constant> | Image.KEYS
| metadata
| modified
| modifier
| name
| origin
| parent
| parent_id
| parent_type
| prototype
| tags
| thumbnailHeight
| thumbnailName
<static> <constant> | Image.THUMBNAILWIDTH
| thumbnailWidth
| width

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | Image.add(data, parent, user)
| contentLength_macro()
| getConfirmText()
| getConstraint(mime, maxWidth, maxHeight)
| getFile(name)
<static> | Image.getFileExtension(type)
| getFormValue(name)
| getJSON()
| getPermission(action)
| getThumbnailFile()
| getUrl(name)
| href(action)
| macro_macro()
<static> | Image.remove()
| removeFiles()
| render_macro(param)
| tags_macro()
| thumbnail_macro(param)
| update(data)
| url_macro()
| writeFiles(data, thumbnail)

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getMetadata
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Image(data)

Parameters:
{Object} data

## Field Detail

{Number} contentLength
{String} contentType
{Date} created
{User} creator
{String} description
{String} fileName
{Number} height
<static> <constant> Image.KEYS
{Metadata} metadata
{Date} modified
{User} modifier
{String} name
origin
{HopObject} parent
{Number} parent_id
{String} parent_type
{String} prototype
{Tag[]} tags
{Number} thumbnailHeight
{String} thumbnailName
<static> <constant> Image.THUMBNAILWIDTH
{Number} thumbnailWidth
{Number} width

## Method Detail

- <static> {Image} Image.add(data, parent, user)
  Parameters:
  {Object} data
  {Site|Layout} parent
  {User} user
  Returns:
    {Image}
- contentLength_macro()
- {String} getConfirmText()
  Returns:
    {String}
- {Object} getConstraint(mime, maxWidth, maxHeight)
  Parameters:
  {helma.util.MimePart} mime
  {Number} maxWidth
  {Number} maxHeight
  Throws:
  {Error}
  Returns:
    {Object}
- {helma.File} getFile(name)
  Parameters:
  {Object} name
  Returns:
    {helma.File}
  See:
    Site#getStaticFile
- <static> {String} Image.getFileExtension(type)
  Parameters:
  {String} type
  Returns:
    {String}
- {Object} getFormValue(name)
  Parameters:
  {String} name
  Returns:
    {Object}
- {String} getJSON()
  Returns:
    {String}
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- {helma.File} getThumbnailFile()
  Returns:
    {helma.File}
- {String} getUrl(name)
  Parameters:
  {Object} name
  Returns:
    {String}
  See:
    Site#getStaticUrl
- {String} href(action)
  Parameters:
  {String} action
  Returns:
    {String}
- macro_macro()
- <static> Image.remove()
- removeFiles()
  Throws:
  {Error}
- render_macro(param)
  Parameters:
  {Object} param
- tags_macro()
- thumbnail_macro(param)
  Parameters:
  {Object} param
- update(data)
  Parameters:
  {Object} data
- url_macro()
- writeFiles(data, thumbnail)
  Parameters:
  {helma.Image|helma.util.MimePart} data
  {Object} thumbnail
  Throws:
  {Error}